# Shell:  Functions for running ui command through the shell
#
# $Id: Shell.pm,v 1.4 2000/06/15 06:00:13 jeffb Exp $ 
#
# Written by
#    Jeff Bilicki <jeffb@cobalt.com>
#
# Copyright 2000 Cobalt Networks http://www.cobalt.com/
#

package Cobalt::Shell;


BEGIN {

	require Exporter;

	use vars qw(@ISA @EXPORT @EXPORT_OK);

	@ISA    = qw[ Exporter ];
	@EXPORT_OK = qw[ &getBuild &getUpdateOS ];

	require Cobalt::Product;
	import Cobalt::Product qw[ $Listupgrades_cmd ];
	
}

require FileHandle;

1;

sub getBuild
# Arguments: none
# Returns value: build type RaQ2, RaQ3, RaQ4, etc
# Side effects: none
{
  my $bldFile = "/etc/build";
  my %bldHash = ( 
		"2799",		"RaQ2",
		"2800",		"RaQ2",
		"3000",		"RaQ3",
		"3001",		"RaQ4",
		"3100",		"RaQ4",
		);

  my $fh = new FileHandle("< $bldFile") 
	|| die "Error opening file $bldFile: $!";
  my $data = <$fh>;
  $fh->close();

  for (sort keys %bldHash) {
	return $bldHash{$_} if ($data =~ /\Q$_\E/);
  }
  return;
}

sub getUpdateOS
# Arguments: none
# Returns: version of the Update OS Level of system
# Side effects: none 
{
	my $build = getBuild();
	my $fh = new FileHandle("$Listupgrades_cmd |")
			|| die "Cannot run $Listupgrades_cmd: $!";
	my @data = <$fh>;
	$fh->close();
	
	my $version;
	for (@data) {
		if (/(^NAME:\s*)($build\S+)(\s*Release\s*)(.*)\n$/) {
			$version = $4;	
		}	
	}
	return $version;
}

1;
